
/* select */
.jcf-select {
	display: inline-block;
	vertical-align: top;
	position: relative;
	border: 1px solid #777;
	background: #fff;
	margin: 0 0 12px;
	min-width: 150px;
	height: 26px;
}
.jcf-select select {
	z-index: 1;
	left: 0;
	top: 0;
}
.jcf-select .jcf-select-text {
	text-overflow:ellipsis;
	white-space: nowrap;
	overflow: hidden;
	cursor: default;
	display: block;
	font-size: 13px;
	line-height: 26px;
	margin: 0 35px 0 8px;
}
.jcf-select .jcf-select-opener {
	position: absolute;
	text-align: center;
	background: #aaa;
	width: 26px;
	bottom: 0;
	right: 0;
	top: 0;
}
body > .jcf-select-drop {
	position: absolute;
	margin: -1px 0 0;
	z-index: 9999;
	min-width: 200px;

}
body > .jcf-select-drop.jcf-drop-flipped {
	margin: 1px 0 0;
}
.jcf-select .jcf-select-drop {
	position: absolute;
	margin-top: 0px;
	z-index: 9999;
	top: 100%;
	left: -1px;
	right: -1px;
	min-width: 250px;
		padding: 18px 20px;
}
.jcf-select .jcf-drop-flipped {
	bottom: 100%;
	top: auto;
}
.jcf-select-drop .jcf-select-drop-content {
	border: 1px solid #ececec;
	box-shadow: 0 3px 4px rgba(0,0,0,0.28);
}
.jcf-select-drop .jcf-option-hideme {display: none;}
/* multiple select styles */
.jcf-list-box {
	overflow: hidden;
	display: inline-block;
	border: 1px solid #b8c3c9;
	min-width: 250px;
	margin: 0 15px;
}
/* select options styles */
.jcf-list {
	display: inline-block;
	vertical-align: top;
	position: relative;
	background: #fff;
	line-height: 18px;
	font-size: 14px;
	width: 100%;
	padding: 8px 0;
}
.jcf-list .jcf-list-content {
	vertical-align: top;
	display: inline-block;
	overflow: auto;
	width: 100%;
}
.jcf-list ul {
	list-style: none;
	padding: 0;
	margin: 0;
}
.jcf-list ul li {
	overflow: hidden;
	display: block;
}
.jcf-list .jcf-overflow {
	overflow: auto;
}
.jcf-list .jcf-option {
	white-space: nowrap;
	overflow: hidden;
	cursor: default;
	display: block;
	padding: 5px 13px;
	line-height: 20px;
	height: 1%;
}
.jcf-list .jcf-disabled {
	background: #fff !important;
	color: #aaa !important;
}
.jcf-select-drop .jcf-hover,
.jcf-list-box .jcf-selected {
	background: #f5f5f5;
	cursor: pointer;
}
.jcf-list .jcf-optgroup-caption {
	white-space: nowrap;
	font-weight: bold;
	display: block;
	padding: 5px 9px;
	cursor: default;
	color: #000;
}
.jcf-list .jcf-optgroup .jcf-option {
	padding-left: 30px;
}

/* other styles */
.jcf-textarea {
	border: 1px solid #b8c3c9;
	box-sizing: content-box;
	display: inline-block;
	position: relative;
}
.jcf-textarea .jcf-scrollbar-horizontal {
	display: none;
	height: 0;
}
.jcf-textarea textarea {
	padding: 8px 10px;
	border: none;
	margin: 0;
}
.jcf-textarea .jcf-resize {
	position: absolute;
	text-align: center;
	cursor: se-resize;
	background: #e3e3e3;
	font-weight: bold;
	line-height: 15px;
	text-indent: 1px;
	font-size: 12px;
	height: 15px;
	width: 14px;
	bottom: 0;
	right: 0;
}
.jcf-textarea .jcf-resize:before {
	border: 1px solid #000;
	border-width: 0 1px 1px 0;
	display: block;
	margin: 4px 0 0 3px;
	width: 6px;
	height: 6px;
	content: '';
}
